Rename a sending domain's note or set its tracking domain
PATCH
/api/v1/workspaces/{workspace}/domains/{domainId}
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
payload := strings.NewReader("{ \"note\": \"example\", \"trackingDomain\": \"example\", \"transactional\": true }")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"note":"example","trackingDomain":"example","transactional":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "note": "example", "trackingDomain": "example", "transactional": true }'Permission: domains:manage (sensitive)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
domainId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
note
string
trackingDomain
string
transactional
boolean
Example generated
{ "note": "example", "trackingDomain": "example", "transactional": true}Responses
Section titled “Responses”OK
Media typeapplication/json
object
bimi
required
string
canManage
required
boolean
checkedAt
string format: date-time
cloudflare
required
boolean
counts
required
object
missing
required
integer format: int64
pending
required
integer format: int64
total
required
integer format: int64
verified
required
integer format: int64
dmarcTip
required
string
dnsHost
required
string
domain
required
string
helpers
required
Array<string>
id
required
string
nameservers
required
Array<string>
note
required
string
notes
required
Array<object>
object
provider
required
string
providerId
required
string
text
required
string
providers
required
Array<object>
object
adapter
required
string
id
required
string
name
required
string
short
required
string
records
required
Array<object>
object
checkedAt
string format: date-time
found
string
key
required
string
label
required
string
name
required
string
note
required
string
provider
required
string
providerId
required
string
purpose
required
string
status
required
string
statusText
required
string
type
required
string
value
required
string
zoneLine
required
string
senders
required
integer format: int64
status
required
string
tracking
required
object
domain
required
string
status
required
string
suggested
required
string
target
required
string
Example
{ "records": [ { "purpose": "dkim", "status": "verified" } ], "status": "pending", "tracking": { "status": "none" }}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}